Design a site like this with WordPress.com
Get started

Download

It’s time to download EuRoadNet!

Notice: to play version 1.4, all current map DLCs are needed, and FLD’s prefab pack (link attached besides download), is needed as well. Make sure FLD’s pack is placed on higher priority than ERN is. Happy trucking!

Starting with 1.5, requirement of FLD pack will be dropped as an “ERN assets” file will be created.

DOWNLOAD EuRoadNet (1.4) DOWNLOAD FLD’S PREFAB PACK

,

Message us here!

Advertisement
%d bloggers like this: